org.apache.ignite.internal.igfs.common

## Class IgfsDataInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - java.io.DataInputStream
      - - org.apache.ignite.internal.igfs.common.IgfsDataInputStream

All Implemented Interfaces:
  Closeable, DataInput, ObjectInput, AutoCloseable

    public class IgfsDataInputStream
    extends DataInputStream
    implements ObjectInput

Data input stream implementing object input but throwing exceptions on object methods.

### Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

### Constructor Summary

Constructors
Constructor and Description
`IgfsDataInputStream(InputStream in)` Creates a DataInputStream that uses the specified underlying InputStream.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `readObject()`

### Methods inherited from class java.io.DataInputStream

`read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, readUTF, skipBytes`

### Methods inherited from class java.io.FilterInputStream

`available, close, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.ObjectInput

`available, close, read, read, read, skip`

### Methods inherited from interface java.io.DataInput

`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

### Constructor Detail

#### IgfsDataInputStream

    public IgfsDataInputStream(InputStream in)

Creates a DataInputStream that uses the specified underlying InputStream.

Parameters:
  `in` - The specified input stream

### Method Detail

#### readObject

    public Object readObject()
                      throws ClassNotFoundException,
                             IOException

Specified by:
  `readObject` in interface `ObjectInput`
Throws:
  `ClassNotFoundException`
  `IOException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020